simu<-function(t)
{
	u=runif(1,0,1)
	return(1-sqrt(u))
}

n=5000
tab=c()
for (i in 1:n)
{
	x=simu(1)
	tab=c(tab,x)	
}
#dev.off()
hist(tab,freq=FALSE,main=" ")

s=0
for (i in 1:n)
{
	v=simu(1)
	v1=cos(pi*v/2)/(2*(1-v))
	w=simu(1)
	w1=cos(pi*w/2)/(2*(1-w))
	s=s+(v1-w1)^2
}
s=s/(2*n)
cat("Variance de la méthode d'échantillonage préférentiel : ",s)

s=0
for (i in 1:n)
{
	u=runif(1,0,1)
	v=runif(1,0,1)
	u1=cos(pi*u/2)
	v1=cos(pi*v/2)
	s=s+(u1-v1)^2
}
s=s/(2*n)
cat("Variance de la première méthode : ",s)